#include <stdio.h> 

/* maximum result size that we ever expect to get */
#define MAXB 1024

extern int debug;

/* getdata reads the results from the socket. We expect short */
/* results here and they will generally be satisfied by a single */
/* read(). However, we cannot count on this so we have to loop */
/* until we get that terminating 0 */

char *
getdata(int fd)
{
	static char buf[MAXB];
	char *bp = buf;
	int nbytes = 0;

	if (debug) printf("getdata:\n");
	bp = buf;
	nbytes=0;
	do {
		bp += nbytes;
		nbytes = read(fd, bp, MAXB - (bp-buf));
		if (nbytes <= 0)	/* can't read any more */
			return 0;
	} while (bp[nbytes-1] != '\0');
	return buf;
}
