import java.io.*;
import java.net.*;

public class Client {

	static int port;       // server port
	static String host;      // server host

	public static void main(String[] arg) {
		String usage = "usage: java Client server-host server-port\n";

		if (arg.length != 2) {
			System.err.println(usage);
			System.exit(1);
		}
		host = arg[0];
		try {
			port = (new Integer(arg[1])).intValue();
		} catch (NumberFormatException e) {
			System.err.println("bad number format: " + arg[2]);
			System.err.println(usage);
			System.exit(1);
		}
		dowork();
	}

	// connect to the server and process the commands
	public static void dowork() {
		final int bufsize = 4096;
		byte buf[] = new byte[bufsize];
		
		// now connect to the server
		try {
			int nbytes;
			System.out.println("connecting to " + host + ", port " + port);
			// this creates a TCP/IP socket to the machine <host> on port <port>
			Socket s = new Socket(host, port);

			// we have a connection --
			// now get the OutPutStream so we can write to the socket
			OutputStream os = s.getOutputStream();

			// copy standard input to the socket
			while ((nbytes = System.in.read(buf)) != -1) {
System.out.println("read returned " + nbytes);
				os.write(buf, 0, nbytes);    // write the bytes to the socket
			}
			// no more data; close connection
			os.close();
			s.close();
		} catch (UnknownHostException e) {
			System.err.println("unknown host: " + host);
			System.exit(1);
		} catch (IOException e) {
			System.out.println(e.getMessage());
			e.printStackTrace();
		}
	}
}
